Loading...
Searching...
No Matches
osmo_auth_impl Struct Reference
GSM/GPRS/3G Authentication

`#include <auth.h>`

## Data Fields

struct llist_head | list
enum osmo_auth_algo | algo
| algorithm we implement
const char * | name
| name of the implementation
unsigned int | priority
| priority value (resp.
int(* | gen_vec )(struct osmo_auth_vector *vec, struct osmo_sub_auth_data *aud, const uint8_t *_rand)
| callback for generate authentication vectors
int(* | gen_vec_auts )(struct osmo_auth_vector *vec, struct osmo_sub_auth_data *aud, const uint8_t *auts, const uint8_t *rand_auts, const uint8_t *_rand)

The documentation for this struct was generated from the following file:

- include/osmocom/crypt/auth.h